# Syscalls
.equ SYSCALL_EXIT,     1
.equ SYSCALL_READ,     3
.equ SYSCALL_WRITE,    4
.equ SYSCALL_OPEN,     5
.equ SYSCALL_CLOSE,    6

# From /usr/include/asm-generic/fcntl.h
.equ O_RDONLY,         0
.equ O_WRONLY,         1
.equ O_CREAT,   00000100

        .globl _start
_start:

#
# Open the file
#

#   fd=open("input.bin",O_RDONLY);

# *** YOUR CODE HERE ****

#   read(fd,&xsize,4);

# *** YOUR CODE HERE ***

#   read(fd,&ysize,4);

# *** YOUR CODE HERE ***

#   read(fd,datain,xsize*ysize*sizeof(int));

# *** YOUR CODE HERE ***

#   close(fd);

# *** YOUR CODE HERE ***

#   /* Data all read in */

#   /* Now write data out */

#   fd=open("output.bin",O_WRONLY|O_CREAT,0660);

# *** YOUR CODE HERE ***

#   write(fd,&xsize,sizeof(int));

# *** YOUR CODE HERE ***

#   write(fd,&ysize,sizeof(int));

# *** YOUR CODE HERE ***

#   write(fd,dataout,xsize*ysize*sizeof(int));

# *** YOUR CODE HERE ***

#   close(fd);

# *** YOUR CODE HERE ***

#   return 0;
#}

        #================================
        # Exit
        #================================
exit:
	mov	r0,#0			@ exit with code 0
	mov	r7,#SYSCALL_EXIT	@ put exit syscall number in r7
	swi	0			@ and exit


.data
filename:       .string "input.bin"
outfilename:    .string "output.bin"

.bss
.lcomm          xsize,4
.lcomm          ysize,4
.lcomm          inbuff,320*320*4
